This endpoint allows advanced searches, specific filters, and extraction of payment history processed by Paag. It returns a paginated list of records matching the criteria sent in the Query String.
This endpoint is ideal for feeding financial dashboards, performing internal reconciliations, or querying the transaction history of a specific customer. Note that for each new event sent under the same transaction, its updated_at field will be updated.
Filtering is enabled for this endpoint via query parameters. To filter by a specific field, pass it through the request parameters, for example:
https://gateway.prd.pppay.cloud/api/transactions?search[first_name]=John&search[last_name]=DoeFilter types
You can use filters on the fields like described below:
- starts with matches records in a SQL LIKE fashion, e.g.: a string
Transacwill match bothTransactionandTransactionEvent; - exact comparison matches records through exact comparison, (case sensitive) e.g.: a string
Transactionwill NOT match transaction; - date matches records through SQL date, and these fields should be provided on Y-m-d H:i:s format, e.g.: 2022-02-02 17:59:00
Pagination
Also, this endpoint provides pagination to navigate through record sets. Pagination information can be found in the meta response field. The pages always returns 50 records at a time.
"meta": {
"last_page": 1,
"current_page": 1,
"total": 3
}
Rate limits
While using reporting capabilities, make sure to monitor rate limits through X-RateLimit-Limit and X-RateLimit-Remaining response headers.
